Subject: Re: bug#64536: 30.0.50; Make cl-print put buttons on ellipses

From: Ihor Radchenko <[email-masked]>
Date: Sat, 12 Aug 2023 08:39:57 +0000

Stefan Monnier <[email-masked]> writes:

> Hmm... we could re-add it, but with the new `cl-print.el` your code
> should simply not use `backtrace-ellipsis` at all because `cl-print.el`
> did it for you already.
>
> IOW, I think a patch like the one below my sig is the better option.

Sure. Thanks for the patch! I will let inspector.el author know about
it.

However, other users of `backtrace-ellipsis' button may be affected if
they used it for different purposes.

May it be possible to create an obsolete alias for this button type?

>> At least, I'd expect to see the removal documented in NEWS.
>
> How 'bout:
>
>      The code that allowed "..." to be expanded in the "*Backtrace*" buffer
>      should now work anywhere the data is generated by 'cl-print'.
>      
>     +*** The 'backtrace-ellipsis' button is replaced by 'cl-print-ellipsis'.

Looks reasonable.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>